

export enum MsgType {

    ROOM_INIT_DONE = 0,//匹配完成
    ROOM_ST = 1,// 同步房间数据

    USER_PREPARE_REQ = 11,// 玩家准备完成
    ROUND_START_EV = 15,// 回合开始
    ROUND_END_EV = 16,// 回合结束

    USER_JOIN_ERQ = 22,//玩家加入房间请求
    USER_JOIN_EV = 23,//玩家加入房间广播

    USER_REQ_EV = 34,//玩家操作广播
    USER_REQ_ADD_WOED = 35,//玩家操作上报
    USER_REQ_WOED = 36,//玩家操作上报



}

export enum resultType {
    WRONG = 1,
    REPEAT = 2,
    RIGHT = 3,
}

export interface PlayerData {
    playerId?: string,
    name?: string,
    uuid: string,
    side?: string,
    isAI?: boolean,
    headUrl?: string,
}
